FreeMat

- Main Page
- Related Pages

vtkCameraActor

Section: Visualization Toolkit Rendering Classes

# Usage

vtkCameraActor is an actor used to represent a camera by its wireframe frustum.

To create an instance of class vtkCameraActor, simply invoke its constructor as follows

      obj = vtkCameraActor

# Methods

The class vtkCameraActor has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCameraActor class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCameraActor = obj.NewInstance ()`
- `vtkCameraActor = obj.SafeDownCast (vtkObject o)`
- `obj.SetCamera (vtkCamera camera)` - The camera to represent. Initial value is NULL.
- `vtkCamera = obj.GetCamera ()` - The camera to represent. Initial value is NULL.
- `obj.SetWidthByHeightRatio (double )` - Ratio between the width and the height of the frustum. Initial value is 1.0 (square)
- `double = obj.GetWidthByHeightRatio ()` - Ratio between the width and the height of the frustum. Initial value is 1.0 (square)
- `int = obj.RenderOpaqueGeometry (vtkViewport viewport)` - Support the standard render methods.
- `int = obj.HasTranslucentPolygonalGeometry ()` - Does this prop have some translucent polygonal geometry? No.
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release.
- `long = obj.GetMTime ()` - Get the actors mtime plus consider its properties and texture if set.
- `vtkProperty = obj.GetProperty ()` - Get property of the internal actor.
- `obj.SetProperty (vtkProperty p)` - Set property of the internal actor.